package com.ematou.wxservice.mp.message;

import com.ematou.wxservice.common.constant.WeChatConstant;
import com.ematou.wxservice.common.xml.converter.XStreamCDataConverter;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamConverter;

/**
 * 文本消息响应
 * @author lhm
 * @version 1.0
 * 2021-05-11 15:06
 */
@XStreamAlias("xml")
public class WeChatMpXmlOutTextMessage extends WeChatMpXmlOutMessage {

    private static final long serialVersionUID = 4348440573714051104L;

    @XStreamAlias("Content")
    @XStreamConverter(value = XStreamCDataConverter.class)
    private String content;

    public WeChatMpXmlOutTextMessage(){
        this.msgType = WeChatConstant.XmlMsgType.TEXT;
    }


    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }


}
