package com.ematou.wxservice.mp.handler;

import com.ematou.wxservice.mp.message.WeChatMessage;
import com.ematou.wxservice.mp.message.WeChatMpXmlOutMessage;
import com.ematou.wxservice.mp.message.WeChatMpXmlOutTextMessage;

/**
 * 用户消息处理器接口
 * @author lhm
 * @version 1.0
 * 2021-05-11 16:22
 */
public interface WeChatMessageHandler {

    /**
     * 处理消息，并封装返回消息
     * @param weChatMessage 接收到的消息
     * @return 响应消息
     */
    public WeChatMpXmlOutMessage handlerMessage(WeChatMessage weChatMessage);

}
